<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>Nawigator katalogów</title>
<meta name="description" content="" />
<meta name="keywords" content="" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="author" content="Peter Lavin" />
<meta http-equiv="Content-Language" content="PL" />
<meta name="copyright" content="copyright softcoded.com" />
<meta name="robots" content="follow, index" />
<meta name="abstract" content="" />
<!--elementy lokalnych styli-->
<style type="text/css">
		div.navigator{
			font-size:smaller;
			padding:5px;
			text-align:center;
		}
		div.totalpagesdisplay{
			padding-top:15px;
			font-size:smaller;
			text-align:center;
			font-style:italic;
		}
		.navigator a, span.inactive{
			padding : 0px 5px 2px 5px;
			margin-left:0px;
			border-top:1px solid #999999;
			border-left:1px solid #999999;
			border-right:1px solid #000000;
			border-bottom:1px solid #000000;
		}
		.navigator a:link, .navigator a:visited,
		    .navigator a:hover,.navigator a:active{
			color: #3300CC;
			background-color: #FAEBF7;
			text-decoration: none;
		}
		span.inactive{
			background-color :#EEEEEE;
			font-style:italic;
		}
</style>
</head>
<body>
<?php
/* ostateczny kod do użycia z klasą directoritems class po stworzeniu nawigatora */
require 'PageNavigator.php';
require 'DirectoryItems.php';
//maksimum na stronę
define("PERPAGE", 5);
//nazwa pierwszego parametru w łańcuchu zapytania
define("OFFSET", "offset");
/*pobiera łańcuch zapytania - nazwa powinna być ta sama co nazwa pierwszego paramatru przekazanego do klasy navigator*/
$offset=@$_GET[OFFSET];
//sprawdza zmienne
if (!isset($offset))
{
	$totaloffset=0;
}
else
{
	//tu czyści zmienne
	//oblicza przesunięcie
	$totaloffset = $offset * PERPAGE;
}
$di = new DirectoryItems("graphics");
$di->imagesOnly();
$di->naturalCaseInsensitiveOrder();
//pobiera fragment tablicy
$filearray = $di->getFileArraySlice($totaloffset, PERPAGE);
echo "<div style=\"text-align:center;\">";
echo "Kliknij na nazwie pliku, aby obejrzeć go w pełnych rozmiarach.<br />";
$path = "";
//określa rozmiar miniatury
$size = 100;	
//korzysta z SEPARATOR
foreach ($filearray as $key => $value)
{
	$path = "{$di->getDirectoryName()}/$key";	
	/*błędy w klasie getthumb pojawią się w postaci uszkodzonych odnośników - błędy nie wyświetlą się*/
	echo "<img src=\"getthumb.php?path=$path&amp;size=$size\" ".
	  "style=\"border:1px solid black;margin-top:20px;\" ".
	  "alt=\"$value\" /><br />\n";
	echo "<a href=\"$path\" target=\"_blank\" >";
	echo "Title: $value</a> <br />\n";
}
echo "</div><br />";
$pagename = basename($_SERVER["PHP_SELF"]);
$totalcount = $di->getCount();
$numpages = ceil($totalcount/PERPAGE);
//jeśli potrzeba
if($numpages > 1)
{
  //tworzy nawigator
  $nav = new PageNavigator($pagename, $totalcount, PERPAGE, $totaloffset);
	//domyślnie, ale tak bardziej jawnie
	$nav->setFirstParamName(OFFSET);
  echo $nav->getNavigator();
}
?>
</body>
</html>
